Summary:       A portable SDK for UPnP devices
Name:          libupnp
Version:       1.6.17
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://downloads.sourceforge.net/project/pupnp/%{name}-%{version}.tar.bz2
Patch0:        %{name}-1.6.14-build.patch
URL:           http://pupnp.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Marcelo Roberto Jimenez <mroberto@users.sourceforge.net>

%description
Libupnp is a portable SDK for UPnP Devices which provides an API and open
source code to developers for building control points, devices and bridges
that are compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q
%patch0 -p1

# Fix tests
%{__chmod} +x ixml/test/*.sh

# Prepare samples
%{__cp}    -r upnp/sample .
%{__rm}    -f sample/Makefile*


%build
%configure \
	--enable-debug  \
	--enable-shared \
	--enable-static

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Install samples
%{__cp}      -r      sample              ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__install} -m 0755 upnp/sample/.libs/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS
%doc README THANKS TODO
%{_libdir}/libixml.so.*
%{_libdir}/libthreadutil.so.*
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc docs/dist/*.pdf docs/dist/html
%{_includedir}/upnp
%{_libdir}/libixml.*a
%{_libdir}/libixml.so
%{_libdir}/libthreadutil.*a
%{_libdir}/libthreadutil.so
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}


%changelog
* Fri Apr 06 2012 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.17-1
- New version (1.6.17)

* Tue Mar 06 2012 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.15-1
- New version (1.6.15)

* Mon Nov 21 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.14-1
- New version (1.6.14)

* Fri Apr 01 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.13-1
- New version (1.6.13)

* Wed Feb 09 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.12-1
- New version (1.6.12)

* Tue Dec 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.10-1
- New version (1.6.10)

* Tue Nov 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.9-1
- New version (1.6.9)

* Thu Oct 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.8-1
- New version (1.6.8)

* Tue Oct 19 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.7-1
- New version (1.6.7)

* Mon Aug 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.6-1
- New version (1.6.6)

* Wed Mar 26 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.5-1
- New version (1.6.5)

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 1.6.0-2
- new version (1.6.0)

* Wed May 09 2007 peter.pramberger@member.fsf.org 1.4.6-2
- created
